# Documentatioon 

**Title:** 

## Category

Which category does this documentation add/updated/remove?
- [ ] code documentation
- [ ] wiki
- [ ] README
- [ ] installation guide
    - [ ] OS specifics
    - [ ] dependency
    - [ ] environment 
- [ ] tutorials 
    - [ ] plotting
    - [ ] io
    - [ ] utils/exceptions
- [ ] examples
- [ ] citing/licensing
- [ ] trouble shooting
    - [ ] installation
    - [ ] tutorials
- [ ] history
- [ ] guidelines 
    - [ ] developer
    - [ ] communication

### Details

*Please provide more details on the add/updated/removed documentation on the selected categories.* 

### Goals
What goals are you trying to achieve with the add/updated/removed documentation? 
- [ ] readability (fixing typos/grammar)
- [ ] conciseness (making it less confusing)
- [ ] updating (updating old plots/code examples)
- [ ] warnings (warning of caveats or potential issues)
- [ ] user-interface (making something more user friendly)

## Issue reference

**Issue:** *issue number*

## Checklist

- [ ] spell checker (US recommended)
- [ ] grammar checker
- [ ] meets PEP8 documentation style (if applicable)
- [ ] meets numpy/pandas docstring style (if applicable)
- [ ] view in readthedocs/markdown viewer (if applicable)
- [ ] proof read

### Reviewers Help

What do you want the review to focus on? 
- [ ] spelling/grammar (US recommended)
- [ ] accuracy
- [ ] readability
- [ ] fluiditiy 
- [ ] test out examples (if applicable)
- [ ] follow steps (if applicable)

## **readthedocs** Link/Display

*Please provide the readthedocs link to your documentation or how to view it.* 

