![pydarn](imgs/pydarn_logo.png)

PyDARN is an open source python library for 
data visualization of SuperDARN data.
support of Input/Output reading of SuperDARN DMAP format files. 

## Source Code 

The library source code can be found on the [pyDARN GitHub](https://github.com/SuperDARN/pydarn) repository. 

If you have any questions or concerns please submit an **Issue** on the SuperDARN pyDARN repository. 

## Table of Contents 
  - [Installation](user/install.md)
  - [SuperDARN Data Access](user/superdarn_data.md)
  - [Citing](user/citing.md)
  - Tutorials 
    - IO 
        - [Read SuperDARN files](user/SDarnRead.md)
        - [Write SuperDARN files](user/SDarnWrite.md)
        - [Read/Write Borealis files](user/BorealisIO.md)
    - Convert
      - [Borealis to SuperDARN](user/Borealis2SuperDARN.md)
    - [Radar and Hardware Information](user/hardware.md)
    - Plotting
        - [Range-Time plots](user/range_time.md)
        - [Time-Series plots](user/time_series.md)
        - [Summary plots](user/summary.md)
    - [Logging](user/logging.md)
