If pyDARN contributes to a project that leads to a scientific publication, please acknowledge this fact by citing the software and SuperDARN.  

# How to cite SuperDARN

Super Dual Auroral Radar Network (SuperDARN) is a made up of 36 radars 20 institutions, to cite general SuperDARN you can use: 

- Greenwald, R.A., Baker, K.B., Dudeney, J.R. et al. Space Sci Rev (1995) 71: 761. [doi:10.1007/BF00751350](https://doi.org/10.1007/BF00751350)

For the general achievements of the SuperDARN Network, you can read these papers: 

- Chisham, G., Lester, M., Milan, S.E. et al. A decade of the Super Dual Auroral Radar Network (SuperDARN): scientific achievements, new techniques and future directions. Surv Geophys 28, 33–109 (2007) [doi:10.1007/s10712-007-9017-8](https://link.springer.com/article/10.1007/s10712-007-9017-8)
- Nishitani, N., Ruohoniemi, J.M., Lester, M. et al. Review of the accomplishments of mid-latitude Super Dual Auroral Radar Network (SuperDARN) HF radars. Prog Earth Planet Sci 6, 27 (2019) [doi:10.1186/s40645-019-0270-5](https://progearthplanetsci.springeropen.com/articles/10.1186/s40645-019-0270-5)

During your study, if using data from individual radars only, please contact the Principal Investigator (PI) of that radar about potential co-authorship. 
A list of radars, institutions, and their PI's information can be found [here](http://vt.superdarn.org/tiki-index.php?page=Radar+Overview).  

## DOI

Currently SuperDARN in the process of placing DOI's on their data set. In the meantime, please use any local available services to DOI your data set. 
Possible services:

  - [FRDR](https://www.frdr.ca/repo/): Canadian resource 
  - [zenodo](https://help.zenodo.org/features/) 

# Citing pyDARN

## Bibtex

```latex
@Misc = [pydarn,
author={Schmidt, M.T. and Detwiller, M.H. and
Billet, D.D. and 
Bland, E. C. and 
Burrell, A. G. and 
Kotyk, K. and
Peters, D. GO. and 
Reimer, A. S. and 
Sterne, K. T. and
Thomas, E. G.}, 
title={pyDARN},
month=jan,
year=2020,
doi=[],
url={}
] 
```

## DOI's 

[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.3727270.svg)](https://doi.org/10.5281/zenodo.3727270)

## Acknowledgements

pyDARN uses other python libraries and the SuperDARN community's help. 

### Python Library References 

#### Matplotlib
John D. Hunter. Matplotlib: A 2D Graphics Environment, Computing in Science & Engineering, 9, 90-95 (2007), [DOI:10.5281/zenodo.3264781](https://zenodo.org/record/3264781)

#### Numpy 
Stéfan van der Walt, S. Chris Colbert and Gaël Varoquaux. The NumPy Array: A Structure for Efficient Numerical Computation, Computing in Science & Engineering, 13, 22-30 (2011), [DOI:10.1109/MCSE.2011.37](https://ieeexplore.ieee.org/document/5725236)

#### H5PY

A. Collette, Python and HDF5, O'Reilly (2014) (http://shop.oreilly.com/product/0636920030249.do)




